//hiir paigutatakse esimesele valgele ekraanipunktile
import java.awt.*;
import java.awt.image.*;
public class EkraaniUuring{
  public static void main(String argumendid[]) throws Exception{
    Robot r=new Robot();
    Dimension d=Toolkit.getDefaultToolkit().getScreenSize();
    int laius=d.width;
    int korgus=d.height;
    Image pilt=r.createScreenCapture(new Rectangle(0, 0, laius, korgus));
    int punktid[]=new int[laius*korgus];
    PixelGrabber pg=new PixelGrabber(pilt, 0, 0, laius, korgus, punktid, 0, laius);
    pg.grabPixels();
    for(int y=0; y<korgus; y++){
      for(int x=0; x<laius; x++){
        int p=punktid[y*laius+x];
        int punane=p>>16 & 0xFF;
        int roheline=p>>8 & 0xFF;
        int sinine=p & 0xFF;
        if(punane==255 && sinine==255 && roheline==255){
          r.mouseMove(x, y);
          System.exit(0);
        }
      }
    }
    
  }
}