CREATE TABLE teated2(
  id int NOT NULL auto_increment, 
  teade TEXT, 
  nimi TEXT, 
  PRIMARY KEY(id)
);


INSERT INTO teated2(teade, nimi) values
  ('Kool hakkab kell 10', 'Mati');


mysql> explain teated2;
+-------+---------+------+-----+---------+----------------+
| Field | Type    | Null | Key | Default | Extra          |
+-------+---------+------+-----+---------+----------------+
| id    | int(11) |      | PRI | NULL    | auto_increment |
| teade | text    | YES  |     | NULL    |                |
| nimi  | text    | YES  |     | NULL    |                |
+-------+---------+------+-----+---------+----------------+
3 rows in set (0.26 sec)
                                                                  

mysql> select * from teated2;
+----+------------------------------+------+
| id | teade                        | nimi |
+----+------------------------------+------+
|  1 | Kool hakkab kell 10          | Mati |
|  2 | Vta vihikud kaasa           | Kati |
|  3 | Matemaatika vihik on kadunud | Mati |
|  4 | Otsi riiuli tagant           | Kati |
|  5 | Mina toon palli              | Siim |
|  6 | Mina ka                      | Mati |
|  7 | Jtke mu ilus kleit valgeks  | Kati |
+----+------------------------------+------+
7 rows in set (0.38 sec)                           

mysql> select distinct nimi from teated2;
+------+
| nimi |
+------+
| Mati |
| Kati |
| Siim |
+------+
3 rows in set (0.34 sec)
                                  
mysql> select * from teated2 order by nimi;
+----+------------------------------+------+
| id | teade                        | nimi |
+----+------------------------------+------+
|  2 | Vta vihikud kaasa           | Kati |
|  4 | Otsi riiuli tagant           | Kati |
|  7 | Jtke mu ilus kleit valgeks  | Kati |
|  1 | Kool hakkab kell 10          | Mati |
|  3 | Matemaatika vihik on kadunud | Mati |
|  6 | Mina ka                      | Mati |
|  5 | Mina toon palli              | Siim |
+----+------------------------------+------+
7 rows in set (0.07 sec)                  

mysql> select * from teated2 order by nimi desc;
+----+------------------------------+------+
| id | teade                        | nimi |
+----+------------------------------+------+
|  5 | Mina toon palli              | Siim |
|  1 | Kool hakkab kell 10          | Mati |
|  3 | Matemaatika vihik on kadunud | Mati |
|  6 | Mina ka                      | Mati |
|  2 | Vta vihikud kaasa           | Kati |
|  4 | Otsi riiuli tagant           | Kati |
|  7 | Jtke mu ilus kleit valgeks  | Kati |
+----+------------------------------+------+
7 rows in set (0.03 sec)
                                              

mysql> select * from teated2 limit 4;
+----+------------------------------+------+
| id | teade                        | nimi |
+----+------------------------------+------+
|  1 | Kool hakkab kell 10          | Mati |
|  2 | Vta vihikud kaasa           | Kati |
|  3 | Matemaatika vihik on kadunud | Mati |
|  4 | Otsi riiuli tagant           | Kati |
+----+------------------------------+------+
4 rows in set (0.14 sec)

mysql> select * from teated2 limit 3, 2;
+----+--------------------+------+
| id | teade              | nimi |
+----+--------------------+------+
|  4 | Otsi riiuli tagant | Kati |
|  5 | Mina toon palli    | Siim |
+----+--------------------+------+
2 rows in set (0.00 sec)
                                          
mysql> select * from teated2 where nimi='Kati';
+----+-----------------------------+------+
| id | teade                       | nimi |
+----+-----------------------------+------+
|  2 | Vta vihikud kaasa          | Kati |
|  4 | Otsi riiuli tagant          | Kati |
|  7 | Jtke mu ilus kleit valgeks | Kati |
+----+-----------------------------+------+
3 rows in set (0.00 sec)
                            

mysql> select count(*) as nr from teated2 where nimi='Kati';
+----+
| nr |
+----+
|  3 |
+----+
1 row in set (0.32 sec)
                              
Teated

   Mati Kool hakkab kell 10
   Kati Vta vihikud kaasa
   Mati Matemaatika vihik on kadunud
   Kati Otsi riiuli tagant
   Siim Mina toon palli
   Mati Mina ka
   Kati Jtke mu ilus kleit valgeks

   Nimi:  __________________________________________________
   Teade: __________________________________________________
                            Saada


                                                          
mysql> select nimi, count(*) as kogus from teated2 group by nimi;
+------+-------+
| nimi | kogus |
+------+-------+
| Kati |     3 |
| Mati |     3 |
| Siim |     1 |
+------+-------+
3 rows in set (0.01 sec)

mysql> select nimi, count(*) as kogus from teated2
   group by nimi having kogus>1;

+------+-------+
| nimi | kogus |
+------+-------+
| Kati |     3 |
| Mati |     3 |
+------+-------+
2 rows in set (0.01 sec)

mysql>
                              