import java.io.*;
import java.util.StringTokenizer;
public class Tekstiabi{
  //loeb tekstifaili u"heks pikaks so~neks
  static String loeFail(String failinimi) throws IOException{
    StringBuffer sb=new StringBuffer();
    RandomAccessFile rf=new RandomAccessFile(failinimi, "r");
    String rida=rf.readLine();
    while(rida!=null){
      sb.append(rida+" ");
      rida=rf.readLine();
    }
    int pikkus=sb.length();
    sb.delete(pikkus-1, pikkus);
    return new String(sb);
  }

  //muudab pika sona lausemassiiviks
  static String[] lauseteks(String s){
    StringTokenizer st=new StringTokenizer(s, ".?!", true);
    String laused[] = new String[st.countTokens()];
    int koht=0;
    while(st.hasMoreTokens()){
      laused[koht++]=st.nextToken();
    }
    return laused;
  }

  //loendab, mitu sona on lauses
  static int loenda(String lause, String sona){
    int nr=0, algkoht=0;
    while(algkoht<lause.length()){
      int koht=lause.indexOf(sona, algkoht);
      if(koht>=0){
        nr++; algkoht=koht+sona.length();
      } else algkoht=lause.length();
    }
    return nr;
  }

  //ku"sib kasutajalt so~ne
  static String kysiVastus(String kysimus) throws IOException{
    System.out.println(kysimus);
    BufferedReader br=new BufferedReader(
      new InputStreamReader(System.in)
    );
    return br.readLine();
  }

}
